
TYPO3.TypoScript - Feature # 27672

Status: Closed Priority: Should have
Author: Stefan Neufeind Category: _old
Created: 2011-06-24 Assigned To: Karsten Dambekalns
Updated: 2012-07-13 Due date:
Subject: Make response format configurable in TypoScript
Description

(based on #9216 from extbase; needs some kind of "forward-port" to FLOW3 as suggested by Bastian on gerrit)

The response format can only be set using GET/POST parameters.

But it would be helpful to set it in TypoScript. For example if you create a new PAGE that outputs ics. You would have to use an url
like
http://example.org/index.php?id=123&#38;type=150&#38;tx_czsimplecal_pi1[format]=ics

what could be considered a repetition.

Commit from #9216 adds such a functionality for extbase.

History
#1 - 2012-03-13 17:00 - Christian Müller
- Project changed from TYPO3.Flow to TYPO3.TypoScript
- Category deleted (MVC)

#2 - 2012-07-04 11:25 - Sebastian Kurfuerst
- Category set to _old

#3 - 2012-07-13 16:20 - Karsten Dambekalns
- Assigned To set to Karsten Dambekalns

#4 - 2012-07-13 16:21 - Karsten Dambekalns
- Status changed from New to Closed
